| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__KeysetInfo Struct Reference

Subscriber Keyset Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__KeysetUse * | KeysetUse
| Describes whether a DN is to be used for Keyset Operation and, if so, in what way. More...
int * | KeysetManualHoldTimer
| Activated when the user places the line on manual hold. More...
struct unsp__KeysetLineAppearances * | KeysetLineAppearances
| Applicable only when KeysetUse is KeysetPrimaryLine. More...
unsp__Enabled * | CallForwardLEDIndication
| Indicates whether the line key LEDs on the device where this subscriber is the Keyset Primary shall wink whenever those lines have call forwarding active. More...
xsd__boolean * | KeysetPrivacy
| Keyset Privacy. More...

## Detailed Description

Subscriber Keyset Information.

## Member Data Documentation

## ◆ CallForwardLEDIndication

unsp__Enabled* unsp__KeysetInfo::CallForwardLEDIndication

Indicates whether the line key LEDs on the device where this subscriber is the Keyset Primary shall wink whenever those lines have call forwarding active.

This parameter is optional when creating a subscriber and when updating keyset info for a subscriber.
required: false
default value[range]: true

## ◆ KeysetLineAppearances

struct unsp__KeysetLineAppearances* unsp__KeysetInfo::KeysetLineAppearances

Applicable only when KeysetUse is KeysetPrimaryLine.

A list of DNs to be associated as secondary lines on the device of the subscriber.
required: false

## ◆ KeysetManualHoldTimer

int* unsp__KeysetInfo::KeysetManualHoldTimer

Activated when the user places the line on manual hold.

If this line is picked up on any device where this DN has an appearance, the timer is stopped. If the timer expires, the device on which the call was placed on hold is recalled. The timer is considered disabled when 0 value is set (it will never be offered a recall).
required: true
default value[range]: 40 [0, 5..3600]

## ◆ KeysetPrivacy

xsd__boolean* unsp__KeysetInfo::KeysetPrivacy

Keyset Privacy.

required: false
default value[range]: false

## ◆ KeysetUse

enum unsp__KeysetUse* unsp__KeysetInfo::KeysetUse

Describes whether a DN is to be used for Keyset Operation and, if so, in what way.

required: false
default value[range]: KeysetNone

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h